{ pkgs, ... }:

{
  imports = [
    ./pipewire.nix
    ./non-virtual.nix
  ];

  services = {
    orca = {
      enable = true;
      package = pkgs.unstable.orca;
    };
    xserver = {
      enable = true;
      displayManager.gdm = {
        enable = true;
        wayland = false;
      };
      xkb.layout = "us";
      # displayManager.lightdm = {
      #   enable = true;
      #   greeters.gtk = {
      #     extraConfig = ''
      #       a11y-states = +reader
      #       reader = orca
      #     '';
      #   };
      # };
      excludePackages = [ pkgs.xterm ];
    };
  };

  # users.users.lightdm.extraGroups = [
  #   "pipewire"
  #   "pulse-access"
  # ];
}
